--- a/linphone-app/cmake_builder/linphone_package/CMakeLists.txt
+++ b/linphone-app/cmake_builder/linphone_package/CMakeLists.txt
@@ -313,9 +313,9 @@
 		install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../../assets/icons/hicolor/${DIR}/apps/icon.png" DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/${DIR}/apps/" RENAME "${EXECUTABLE_NAME}.png")
 	endforeach ()
 	install(TARGETS ${APP_PLUGIN}
-		ARCHIVE DESTINATION "${LIBDIR}"
-		LIBRARY DESTINATION "${LIBDIR}"
-		RUNTIME DESTINATION "${LIBDIR}"
+		ARCHIVE DESTINATION "${LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE}/linphone-desktop"
+		LIBRARY DESTINATION "${LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE}/linphone-desktop"
+		RUNTIME DESTINATION "${LIBDIR}/${CMAKE_LIBRARY_ARCHITECTURE}/linphone-desktop"
 		)
 # WEBVIEW
 	if(ENABLE_APP_WEBVIEW)
